#!/bin/bash

data=`date +"%H:%M  %d-%m-%Y"`


if [ -e /usr/share/linkat/linkat-ltsp-server/vars ] ; then
	. /usr/share/linkat/linkat-ltsp-server/vars
	if [ ! $? -eq 0 ];then
		echo -en "Error:: No s'ha pogut carregar l'entorn de treball \n"
	fi
else
	echo -en "Error:: No s'ha trobat el fixer d'entorn\n"
fi



res=$(`which whoami` | grep root 2>&1)
if [ ! $? -eq 0 ];then
	echo -en "Error:: L'execució de la configuració del servidor LTSP s'ha de fer amb l'usuari root \n"
	${ZENITY} --title="$TITLE" --error --text="L'execució de la configuració del servidor LTSP s'ha de fer amb l'usuari root.\n\n"
	exit 1
fi

data=`date +"%Y%m%d_%H%M"`

LOG=/var/log/linkat-ltsp-server-config-$data.log
touch $LOG
chmod 0400 $LOG
export LOG=$LOG

echo "L'execució es registra al log: $LOG"
$DIR_LINKAT/linkat-ltsp-server.installer $* 2>&1 | tee ${LOG}
