#!/bin/bash
#
# Config. NetworkManager
#

res=$(rm /etc/init/network-manager.override  2>&1)
                if [ ! $? -eq 0 ];then
                        echo -en "Error:: Hi ha hagut un error a l'aplicar la desconfiguració del NetworkManager: $res\n"
                else
                        echo -en "Success:: S'ha aplicat correctament la desconfiguració del NetworkManager \n"
                fi

res=$(cp $DIR_NET/backup/NetworkManager.conf.ori /etc/NetworkManager/NetworkManager.conf 2>&1)
if [ ! $? -eq 0 ];then
        echo -en "Error:: No s'ha pogut resturar la còpia de seguretat del NetworkManager: $res\n"
fi

res=$(rm -rf /etc/network/interfaces.d/*.cfg )
if [ $? -eq 0 ];then
        sleep 5
        echo "Configuracions de xarxa esborrades $res "
fi

res=$(update-rc.d -f fordmasq.sh remove)
if [ ! $? -eq 0 ];then
        echo -en "Error:: No s'ha pogut eliminar el fordwarding i el masquerade: $res\n"
fi

res=$(rm /etc/init.d/fordmasq.sh)
if [ ! $? -eq 0 ];then
        echo -en "Error:: No s'ha pogut eliminar el fitxer /etc/init.d/fordmasq.sh: $res\n"
fi
